#! /usr/local/bin/perl
# $Id: playFilm.pl,v 1.2 1999/03/27 17:57:28 queinnec Exp $
# Take a result file coming from xscript and turn the images into an
# animated gif file (ignore sounds and comments for now).

my $file;
my $giffile;
my $cmd = 'convert -dispose 1 -loop 1 -verbose';
my $time = 0;
my $lasttime = 0;
my $delay;

if ( $#ARGV != 0 ) {
    die "Missing argument";
} else {
    $giffile = $ARGV[0];
    shift;
}

while ( <> ) {
    # Only process those images:
    if ( /^image +\"([^\"]*)\" +at +(\d+)/ ) {
        $file = $1;
        $time = $2;
        $delay = ($time - $lasttime)/10;
        $lasttime = $time;
        $cmd .= " -delay $delay $file";
    }
}

$cmd .= " $giffile";
print $cmd, "\n";

exec($cmd);

# end of playFilm.pl
