#! /usr/local/bin/perl
# $Id: id-of-window.pl,v 1.1 1999/03/14 17:26:31 queinnec Exp $
# Syntax: id-of-window.pl "part of the command"
# Returns the X identifier of the window running such a command.
# Dies if there is no such window or more than one appropriate window.

my $pattern ='';

if ( $#ARGV == -1 ) {
    die "Missing argument";
} else {
    $pattern = $ARGV[0];
}

open(IN, "xlsclients -l |")
    || die "Cannot run xlsclients";

my($windowid);
my($gotten) = 0;

while ( <IN> ) {
    if ( /^Window (.*):/ ) {
        $windowid = $1;
        next;
    }
    if ( /^  Command:/ && /$pattern/ ) {
        print $windowid, "\n";
        die "Ambiguity" if $gotten;
        $gotten++;
        next;
    }
}

die "No such window" if ! $gotten;

# end of id-of-window.pl
