#!/bin/sh
# the next line restart wish \
exec wish "$0" "$@"

set inf_file	"setup.inf"

# default values
set inf_title				"GNU Setup"
set inf_info				"Setup: No INF-file found, using defaults.."
set inf_view				"README INSTALL"
set inf_makefile			"Makefile"
set inf_create_makefile_cmd	"configure"
set inf_compile_cmd			"make"
set inf_clean_cmd			"make clean"
set inf_install_cmd			"make install"
set inf_test_install_cmd	"make -n install"

set inf_makefile_options	"--prefix=/usr/local/X11"

set width	620
set height	400
set x_off	310
set y_off	340
set top		".top"
set logo_data {\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}

# read the inf-file to get some installation parameters
#
catch [source $inf_file]

#
wm title . $inf_title

image create photo logo -data $logo_data
canvas	$top -background white -border 0 -width $width -height $height
frame	$top.panel
button	$top.panel.compile -text "Compile" -command "m_compile $top"
button	$top.panel.install -text "Install" -command "install $top"
button	$top.panel.edit -text "Make $inf_makefile" -command \
			"m_makefile $top $inf_makefile $inf_create_makefile_cmd"
label	$top.panel.space -text "-"

foreach view $inf_view {
	set view_w $top.panel.v_$view
	button $view_w -text "$view" -command "m_view $top $view"
}
button	$top.quit  -text "Quit" -command exit

catch "$top create image 0 0 -image logo -anchor nw"
$top create window $x_off $y_off -window $top.panel
$top create text $x_off [expr $y_off+30] \
		-text "GNU Setup - Version 0.1, (c) Rasca, published under the GNU GPL"
$top create text $x_off 98 -text $inf_info -anchor n

$top create window $width $height -window $top.quit -anchor se

pack $top
pack $top.panel.edit -side left
pack $top.panel.compile -side left
pack $top.panel.install -side left
pack $top.panel.space -side left
foreach view $inf_view {
	set view_w $top.panel.v_$view
	pack $view_w -side left
}
event add <<Press>> <Enter> <ButtonPress-1> <ButtonRelease-1>
# end of main()


#
proc m_view {top what} {
	set box [newframe $top]
	set text [newtext $box]
	set id [open $what]
	button $box.close -text "Close" -command "destroy $box"

	pack $text
	pack $box.close -side right
	$text.text insert 1.0 [read $id]
	$text.text config -state disabled
	close $id
}

#
proc run_configure {opts text cmd btn label} {
	run $text [concat $cmd [$opts get]] $btn $label
}

#
# menu for creating a makefile
#
proc m_makefile {top makefile cmd} {
	global inf_makefile_options
	set box [newframe $top]
	set text [newtext $box]

	entry $box.opts -width 24
	$box.opts insert 0 $inf_makefile_options
	button $box.run -text "Run $cmd" -command \
			"run_configure $box.opts $text.text \"$cmd\" $box.run \"Run $cmd\""
	button $box.help -text "Help" -command \
			"run $text.text \"$cmd --help\" $box.help Help"
	label $box.opt -text "Options:"
	button $box.edit -text "Edit $makefile" -command "edit $top $makefile"
	button $box.close -text "Close" -command "destroy $box"
	pack $text
	pack $box.run -side left
	pack $box.help -side left
	pack $box.opt -side left
	pack $box.opts -side left
	pack $box.edit -side left
	pack $box.close -side right
	return $box.run
}

#
proc save {text file} {
	set id [open $file w]
	puts $id [$text get 0.0 end]
	close $id
}

#
proc edit {top file} {
	set box [newframe $top]
	set text [newtext $box]
	set id [open $file]
	button $box.close -text "Close" -command "destroy $box"
	button $box.save -text "Save" -command "save $text.text $file"

	pack $text
	pack $box.save -side left
	pack $box.close -side right
	$text.text insert 1.0 [read $id]
	close $id
}

#
proc m_compile {top} {
	global inf_compile_cmd
	global inf_clean_cmd
	global inf_makefile
	global inf_create_makefile_cmd
	if {[file exists $inf_makefile] != 1} {
		set btn [m_makefile $top $inf_makefile $inf_create_makefile_cmd]
		tkwait visibility $btn
		event generate $btn <Enter> 
		event generate $btn <ButtonPress-1>
		event generate $btn <ButtonRelease-1>
		return
	}
	set box [newframe $top]
	set text [newtext $box]
	button $box.close -text "Close" -command "destroy $box"
	button $box.compile -text "Compile" -command \
				"run $text.text \"$inf_compile_cmd\" $box.compile Compile"
	button $box.clean -text "Clean" -command \
				"run $text.text \"$inf_clean_cmd\" $box.clean Clean"

	pack $text
	pack $box.compile -side left
	pack $box.clean -side left
	pack $box.close -side right
	return $box.compile
}

#
proc stop {out input btn label command} {
	catch {close $input}
	$btn config -text $label -command "run \"$out\" $command $btn \"$label\""
}

proc cont {out input btn label cmd} {
	if [eof $input] {
		stop $out $input $btn "$label" \"$cmd\"
	} else {
		gets $input line
		$out insert end $line\n
		$out see end
	}
}

#
proc run {out command btn label} {
	$out insert end "$command\n"
	if [catch {open "|$command |& cat"} input] {
		$out insert end $input\n
	} else {
		fileevent $input readable \
			"cont $out $input $btn \"$label\" \"$command\""
		$btn config -text "Stop" \
			-command "stop \"$out\" $input $btn \"$label\" \"$command\""
	}
}

#
proc install {top} {
	global inf_install_cmd
	global inf_test_install_cmd
	global inf_makefile
	if {[file exists $inf_makefile] != 1} {
		set btn [m_compile $top]
		tkwait visibility $btn
		event generate $btn <Enter> 
		event generate $btn <ButtonPress-1>
		event generate $btn <ButtonRelease-1>
		return
	}
	set box [newframe $top]
	set out [newtext $box]
	button $box.close -text "Close" -command "destroy $box"
	button $box.install -text "Install" -command \
				"run \"$out.text\" \"$inf_install_cmd\" $box.install Install"
	button $box.test -text "Test" -command \
				"run \"$out.text\" \"$inf_test_install_cmd\" \
				$box.test Test"
	pack $out
	pack $box.install -side left
	pack $box.test -side left
	pack $box.close -side right
}

# create a new container frame inside the canvas
#
proc newframe {top} {
	if {[winfo exists $top.f] == 1} {destroy $top.f}
	frame $top.f
	$top create window 310 215 -window $top.f
	return $top.f
}

#
#
proc newtext {top} {
	set box $top.text_box
	frame $box
	text $box.text -wrap word -yscrollcommand "$box.yscroll set" -height 13
	scrollbar $box.yscroll -command "$box.text yview" -orient vertical
	pack $box.text -side left
	pack $box.yscroll -side right -fill y
	return $box
}

